<?php
/*
 * @Author: wang jun
 * @Date: 2022-01-18 10:57:14
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-19 10:38:56
 * 微信类
 */
namespace app\app\controller;

use app\app\logic\webuserlogic;
use think\Controller;

class Webuser extends BaseController
{
    /**
     * 管理员登陆
     *
     * @return void
     * @author wj
     * @date 2022-07-25
     */
    public function login()
    {
        $param = request()->param();
        $l_w = new webuserlogic();
        $result = $l_w->login($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        } else {
            return backjson2(200, 'success', $result['data']);
        }
    }
    /**
     * 发送短信
     *
     * @return void
     * @author wj
     * @date 2022-07-25
     */
    public function sendsms()
    {
        $param = request()->param();
        $l_w = new webuserlogic();
        $result = $l_w->sendsms($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        } else {
            return backjson2(200, 'success', $result['data']);
        }
    }
}
